GDBserver

Public Attributes | List of all members
nto_target_ops Struct Reference

`#include "nto-low.h"`

## Public Attributes
void(* | arch_setup )(void)
int | num_regs
int(* | register_offset )(int gdbregno)
const unsigned char * | breakpoint
int | breakpoint_len

## Detailed Description

Definition at line 33 of file nto-low.h.

## Member Data Documentation

## ◆ arch_setup

void(* nto_target_ops::arch_setup) (void)

Definition at line 36 of file nto-low.h.

## ◆ breakpoint

const unsigned char* nto_target_ops::breakpoint

Definition at line 39 of file nto-low.h.

## ◆ breakpoint_len

int nto_target_ops::breakpoint_len

Definition at line 40 of file nto-low.h.

## ◆ num_regs

int nto_target_ops::num_regs

Definition at line 37 of file nto-low.h.

Referenced by nto_x86_arch_setup().

## ◆ register_offset

int(* nto_target_ops::register_offset) (int gdbregno)

Definition at line 38 of file nto-low.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/gdbserver/nto-low.h